<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

  <module name="production" package="com.axelor.apps.production.db"/>

  <entity name="BillOfMaterialConsumption" lang="java">

	<string name="name" title="Label"/>
  	<many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product" required="true"/>
  	<decimal name="qty" title="Qty" precision="20" scale="10"/>
  	<decimal name="realQty" title="Real qty" precision="20" scale="10"/>
  	<integer name="priority" title="Priority"/>
    <boolean name="defineSubBillOfMaterial" title="Define sub bill of material"/>
    <many-to-one name="unit" ref="com.axelor.apps.base.db.Unit" title="Unit"/>
    <many-to-one name="company" ref="com.axelor.apps.base.db.Company" title="Company"/>  
  	<string name="fullName" namecolumn="true" title="Label"/>
    <many-to-one name="trackingNumber" ref="com.axelor.apps.stock.db.TrackingNumber" title="Tracking Nbr."/>
    <many-to-one ref="ManufOrder" name="manufOrder" /> 
    <string name="note" large="true"/>

    <track>
    	<field name="name"/>
    	<field name="product"/>
    	<field name="qty"/>
    	<field name="realQty"/>
    	<field name="note"/>
    </track>
  </entity>
</domain-models>
